﻿@model SSCMvc.Models.Tb_MockTest
@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("AutoComplete-Ui.min.js", Url)
    <link href="@Url.Content("~/assets/plugins/select2/select2_metro.css")" rel="stylesheet" type="text/css" />

    <script type="text/javascript">
        $(document).ready(function () {
            $("#Courselevel").attr('readonly', 'readonly');
            $("#StudentId").css('width', '98%');
            App.init();

            $("#TestDate").datepicker();


            $("#btnCancel").click(function () {
                window.location.href = "/Tb_MockTest/Index";
            });
            GetCourseForstudent($("#combobox").val());
            $(".ui-combobox").find('a').append('<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"></span> <span class="ui-button-text"></span>').addClass('ui-button ui-widget ui-state-default ui-button-icon-only ui-corner-right ui-combobox-toggle');
        });



        $("#StudentId").change(function () {

            GetCourseForstudent($(this).val());

        });

        function GetCourseForstudent(myval) {
            var idCourse = myval;
            //this is done by arjun (30-08-2013) start here
            var stype = "Admission";
            $.getJSON("/Tb_IELTSResult/GetStudentData", { id: idCourse, st: stype },
   function (modelData) {

       var select = $("#CourseId");



       $("#CourseId").val(modelData['Course']);
       $("#TimeId").val(modelData['Timing']);
       $("#Courselevel").val(modelData['courselevel']);


       if (modelData["CategoryIELACTrue"] == true) {
           $("#Category").val("AC");
       }

       if (modelData["CategoryIELAGTTrue"] == true) {


           $("#Category").val("GT");

       }
   });

            //this is done by arjun (30-08-2013) end here



            //            $.getJSON("/Tb_MockTest/LoadCourseByStudent", { id: idCourse },
            //   function (modelData) {

            //       var select = $("#CourseId");

            //       select.empty();
            //       select.append($('<option/>', {
            //           value: 0,
            //           text: "Select a Course"
            //       }));
            //       $.each(modelData, function (index, itemData) {


            //           select.append($('<option/>', {

            //               value: itemData.Value,
            //               text: itemData.Text,



            //           }));
            //       });
            //   });

        }

    </script>
    <script type="text/javascript">
        $("#CourseId").change(function () {
            var idCourse = $(this).val();
            var stuid = $("#combobox").val();
            $.getJSON("/Tb_MockTest/LoadTimeByCourse", { id: stuid, cid: idCourse },
   function (modelData) {

       var select = $("#TimeId");

       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select a Time"
       }));
       $.each(modelData, function (index, itemData) {


           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,



           }));
       });
   });
        });


        /*-------------------bands caluculation starts here------------------*/
        $("#RBand").blur(function () {
            calbands();

        });

        $("#LBand").blur(function () {
            calbands();
        });

        $("#WBand").blur(function () {
            calbands();
        });

        $("#SBand").blur(function () {
            calbands();
        });


        function calbands() {
            var value1 = $("#LBand").val();

            if (value1 == "") {

                value1 = 0;
            }

            var value2 = $("#WBand").val();
            if (value2 == "") {

                value2 = 0;
            }

            var value3 = $("#SBand").val();

            if (value3 == "") {

                value3 = 0;
            }

            var value4 = $("#RBand").val();

            if (value4 == "") {

                value4 = 0;
            }

            var sum = parseFloat((parseFloat(value1) + parseFloat(value2) + parseFloat(value3) + parseFloat(value4)));


            var ovr = overallband(sum);


            $("#Overall").val(ovr);
        }

        /*--------------------------bands calculation ends here-----------------------*/




    </script>

    <script type="text/javascript">
        $(document).ready(function () {


        });
    </script>

}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    @Html.HiddenFor(model => model.Id)
    @Html.HiddenFor(model => model.CDate)
    @Html.HiddenFor(model => model.BranchId)
    @Html.HiddenFor(model => model.UserId)
    @Html.HiddenFor(model => model.Status)
    @Html.HiddenFor(model => model.isfollowbtn)
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <span style="color: red; font-weight: bold">
                            @ViewBag.ErrorMsg
                        </span>
                        <fieldset>
                            <legend>Edit Mock Test Entry</legend>
                            <table style="width: 700px" align="center">
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.StudentId)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" colspan="3">
                                        @Html.DropDownList("StudentId", (SelectList)ViewBag.val, "Select", new { @class = "form-control input-large select2me", @Placeholder = "Select..." })
                                        @Html.ValidationMessageFor(model => model.StudentId)
                                        <input type="hidden" value="@ViewBag.sid" id="sid" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.Category)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.DropDownList("Category")
                                        @Html.ValidationMessageFor(model => model.Category)
                                    </td>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.CourseId)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.TextBoxFor(model => model.CourseId, new { @readonly = "readonly" })
                                        @Html.ValidationMessageFor(model => model.CourseId)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    Time
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.TextBoxFor(model => model.TimeId, new { @readonly = "readonly" })
                                        @Html.ValidationMessageFor(model => model.TimeId)
                                    </td>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    Course Level
                                                </td>
                                                <td></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @*@Html.TextBox("Courselevel", null, new { @readonly = "readonly" })*@
                                        @Html.EditorFor(model => model.Courselevel, new { @readonly = "readonly" })
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.TestDate)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field">
                                        @Html.TextBoxFor(model => model.TestDate, "{0: MM/dd/yyyy}")
                                        @Html.ValidationMessageFor(model => model.TestDate)
                                    </td>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.LBand)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.LBand)
                                        @Html.ValidationMessageFor(model => model.LBand)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.RBand)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.RBand)
                                        @Html.ValidationMessageFor(model => model.RBand)
                                    </td>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.WBand)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.WBand)
                                        @Html.ValidationMessageFor(model => model.WBand)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.SBand)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.SBand)
                                        @Html.ValidationMessageFor(model => model.SBand)
                                    </td>
                                    <td class="editor-label" valign="top">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.Overall)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.Overall)
                                        @Html.ValidationMessageFor(model => model.Overall)
                                    </td>
                                    @* <td class="editor-label" valign="top">
                                            @Html.LabelFor(model => model.Remarks)
                                        </td>
                                        <td class="editor-field" valign="top">
                                            @Html.EditorFor(model => model.Remarks)
                                            @Html.ValidationMessageFor(model => model.Remarks)
                                        </td>*@
                                </tr>
                                @*<tr>
                                    <td class="editor-field">
                                        @Html.LabelFor(model => model.FollowAsgnTo)
                                    </td>
                                    <td>
                                        @Html.DropDownList("FollowAsgnTo", "Select")
                                        @Html.ValidationMessageFor(model => model.FollowAsgnTo)
                                    </td>
                                </tr>*@
                            </table>
                        </fieldset>
                    </div>
                </div>
            </div>
            <footer>
                <hr />

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>




}
